debconf socket closes if aptdaemon/PK client exits

Bug #1726068 reported by sinu on 2017-10-22
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
apper (Ubuntu)
Undecided
Unassigned
aptdaemon (Ubuntu)
High
Unassigned
packagekit (Ubuntu)
Medium
Unassigned
software-properties (Ubuntu)
High
Unassigned

Bug Description

error message on start up

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: shim-signed 1.32~16.04.1+0.9+1474479173.6c180c6-1ubuntu1
ProcVersionSignature: Ubuntu 4.10.0-37.41~16.04.1-generic 4.10.17
Uname: Linux 4.10.0-37-generic x86_64
.proc.sys.kernel.moksbstate_disabled: 0
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
Date: Sun Oct 22 12:33:48 2017
DpkgHistoryLog:
 Start-Date: 2017-10-22 12:31:01
 Commandline: aptdaemon role='role-commit-packages' sender=':1.94'
 Install: linux-image-generic:amd64 (4.4.0.97.102, automatic), libcuda1-387:amd64 (387.12-0ubuntu0~gpu16.04.1, automatic), linux-image-4.4.0-97-generic:amd64 (4.4.0-97.120, automatic), linux-image-extra-4.4.0-97-generic:amd64 (4.4.0-97.120, automatic), nvidia-prime:amd64 (0.8.2, automatic), libxnvctrl0:amd64 (384.90-0ubuntu0~gpu16.04.1, automatic), lib32gcc1:amd64 (1:6.0.1-0ubuntu1, automatic), libc6-i386:amd64 (2.23-0ubuntu9, automatic), screen-resolution-extra:amd64 (0.17.1, automatic), ocl-icd-libopencl1:amd64 (2.2.8-1, automatic), libjansson4:amd64 (2.7-3, automatic), bbswitch-dkms:amd64 (0.8-3ubuntu1, automatic), linux-generic:amd64 (4.4.0.97.102), nvidia-opencl-icd-387:amd64 (387.12-0ubuntu0~gpu16.04.1, automatic), nvidia-387:amd64 (387.12-0ubuntu0~gpu16.04.1), nvidia-settings:amd64 (384.90-0ubuntu0~gpu16.04.1, automatic)
EFITables:
 Oct 22 12:34:32 crs-Ubuntu kernel: efi: EFI v2.40 by American Megatrends
 Oct 22 12:34:32 crs-Ubuntu kernel: efi: ESRT=0x77e72f98 ACPI=0x77591000 ACPI 2.0=0x77591000 SMBIOS=0x77e71000 SMBIOS 3.0=0x77e70000
 Oct 22 12:34:32 crs-Ubuntu kernel: esrt: Reserving ESRT space from 0x0000000077e72f98 to 0x0000000077e72fd0.
 Oct 22 12:34:32 crs-Ubuntu kernel: Secure boot enabled
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationDate: Installed on 2017-05-16 (159 days ago)
InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.2
 apt 1.2.24
SecureBoot: 6 0 0 0 1
SourcePackage: shim-signed
Title: package shim-signed 1.32~16.04.1+0.9+1474479173.6c180c6-1ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

sinu (crsububtu) wrote :
tags: removed: need-duplicate-check
Steve Langasek (vorlon) wrote :

This happens if software-properties is closed on the desktop before the packages have finished installing.

You will need to run 'sudo apt-get -f install' from a terminal to complete the configuration of these packages.

affects: shim-signed (Ubuntu) → software-properties (Ubuntu)
Changed in software-properties (Ubuntu):
importance: Undecided → High
status: New → Triaged
tags: added: id-59558f621454c20af30afa36
Steve Langasek (vorlon) on 2018-02-07
summary: - package shim-signed 1.32~16.04.1+0.9+1474479173.6c180c6-1ubuntu1 failed
- to install/upgrade: subprocess installed post-installation script
- returned error exit status 1
+ software-properties closed, closing debconf socket, while aptdaemon is
+ running (package shim-signed
+ 1.32~16.04.1+0.9+1474479173.6c180c6-1ubuntu1 failed to install/upgrade:
+ subprocess installed post-installation script returned error exit status
+ 1)
tags: added: id-5a4d4950c53c0080d7779997

I think dangling sockets to the frontend might also be a problem with PackageKit, but I'm not sure. My idea was to have helper have a timeout and be (re)launched by systemd via socket activation, but
I don't know if that's feasible.

Changed in software-properties (Ubuntu):
status: Triaged → Invalid
Changed in aptdaemon (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in packagekit (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
summary: - software-properties closed, closing debconf socket, while aptdaemon is
- running (package shim-signed
- 1.32~16.04.1+0.9+1474479173.6c180c6-1ubuntu1 failed to install/upgrade:
- subprocess installed post-installation script returned error exit status
- 1)
+ debconf socket closes if aptdaemon/PK client exists
summary: - debconf socket closes if aptdaemon/PK client exists
+ debconf socket closes if aptdaemon/PK client exits
no longer affects: plasma-discover (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers